Subject: Re: git am and the wrong chunk of ---

From: Andreas Ericsson <[email-masked]>
Date: Fri, 10 Aug 2012 13:00:07 +0200

On 08/10/2012 12:36 PM, Jeff King wrote:
> On Thu, Aug 09, 2012 at 05:13:51PM -0700, H. Peter Anvin wrote:
> 
>> I have some contributors who consistently put their commentary
>> *before* the "---" line rather than *after* it, presumably with the
>> notion that it is some kind of "cover text".  This messes with "git
>> am", and so I end up having to edit those posts manually.
>>
>> I have tried git am --scissors and it doesn't seem to solve the problem.
>>
>> Is there any other option which can be used to automatically process
>> such a patch?
> 
> If I understand your issue, somebody is writing:
> 
> 
>      From: them
>      To: you
>      Date: ...
>      Subject: [PATCH] subject line
> 
>      commit message body
>      ....
> 
>      some cover letter material that should go below the "---"
>      ---
>        [diffstat + diff]
> 
> 
> How do you know when the commit message body ends, and the cover letter
> begins? We already have two machine-readable formats for separating the
> two ("---" after the commit message, and "-- >8 --" scissors before). Is
> there some machine-readable hint? Is it always the paragraph before the
> "---"? Chopping that off unconditionally seems like a dangerous
> heuristic.
> 

End of SOB lines might be a good cutoff, if they're present. I've never
seen anyone put commit message text below them anyway.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.